Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class ColumnStatistics1

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.ColumnStatistics1

All Implemented Interfaces:
  ColumnStatistics1, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class ColumnStatistics1

extends M4Data
implements XmlInfo, ColumnStatistics1

Version:
  $Id: ColumnStatistics1.java,v 1.4 2006/09/27 14:59:59 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_COLST1_AVG`
`static java.lang.String` | `ATTRIB_COLST1_COLID`
`static java.lang.String` | `ATTRIB_COLST1_MAX`
`static java.lang.String` | `ATTRIB_COLST1_MEDIAN`
`static java.lang.String` | `ATTRIB_COLST1_MIN`
`static java.lang.String` | `ATTRIB_COLST1_MISSING`
`static java.lang.String` | `ATTRIB_COLST1_MODAL`
`static java.lang.String` | `ATTRIB_COLST1_STDDEV`
`static java.lang.String` | `ATTRIB_COLST1_UNIQUE`
`static java.lang.String` | `ATTRIB_COLST1_VAR`
`static java.lang.String` | `ATTRIB_COLSTAT_ID`
`static java.lang.String` | `M4_TABLE_NAME`
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`ColumnStatistics1(DB db)`

Method Summary
`java.lang.Double` | `getAverageD()`
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`java.lang.String` | `getMaximum()`
`java.lang.String` | `getMedian()`
`java.lang.String` | `getMinimum()`
`java.lang.String` | `getModal()`
`java.lang.Integer` | `getNrOfMissingValuesI()`
`java.lang.Integer` | `getNrOfUniqueValuesI()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`java.lang.Double` | `getStandardDeviationD()`
`Column` | `getTheColumn()`
`java.lang.Double` | `getVarianceD()`
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetColumn(Column column)`
`void` | `print()` Print the information about this column statistics.
`void` | `removeAllM4References()` Remove the Column reference of this statistic object.
`void` | `setAverage(java.lang.Double average)`
`void` | `setMaximum(java.lang.String maximum)`
`void` | `setMedian(java.lang.String median)`
`void` | `setMinimum(java.lang.String minimum)`
`void` | `setModal(java.lang.String modal)`
`void` | `setNrOfMissingValues(java.lang.Integer nrOfMissingValues)`
`void` | `setNrOfUniqueValues(java.lang.Integer nrOfUniqueValues)`
`void` | `setStandardDeviation(java.lang.Double standardDeviation)`
`void` | `setTheColumn(Column column)`
`void` | `setVariance(java.lang.Double variance)`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

See Also:
  Constant Field Values

### ATTRIB_COLSTAT_ID

    public static final java.lang.String ATTRIB_COLSTAT_ID

See Also:
  Constant Field Values

### ATTRIB_COLST1_COLID

    public static final java.lang.String ATTRIB_COLST1_COLID

See Also:
  Constant Field Values

### ATTRIB_COLST1_UNIQUE

    public static final java.lang.String ATTRIB_COLST1_UNIQUE

See Also:
  Constant Field Values

### ATTRIB_COLST1_MISSING

    public static final java.lang.String ATTRIB_COLST1_MISSING

See Also:
  Constant Field Values

### ATTRIB_COLST1_MIN

    public static final java.lang.String ATTRIB_COLST1_MIN

See Also:
  Constant Field Values

### ATTRIB_COLST1_MAX

    public static final java.lang.String ATTRIB_COLST1_MAX

See Also:
  Constant Field Values

### ATTRIB_COLST1_AVG

    public static final java.lang.String ATTRIB_COLST1_AVG

See Also:
  Constant Field Values

### ATTRIB_COLST1_STDDEV

    public static final java.lang.String ATTRIB_COLST1_STDDEV

See Also:
  Constant Field Values

### ATTRIB_COLST1_VAR

    public static final java.lang.String ATTRIB_COLST1_VAR

See Also:
  Constant Field Values

### ATTRIB_COLST1_MEDIAN

    public static final java.lang.String ATTRIB_COLST1_MEDIAN

See Also:
  Constant Field Values

### ATTRIB_COLST1_MODAL

    public static final java.lang.String ATTRIB_COLST1_MODAL

See Also:
  Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### ColumnStatistics1

    public ColumnStatistics1(DB db)

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getNrOfUniqueValuesI

    public java.lang.Integer getNrOfUniqueValuesI()

  Specified by:
    `getNrOfUniqueValuesI` in interface `ColumnStatistics1`

### setNrOfUniqueValues

    public void setNrOfUniqueValues(java.lang.Integer nrOfUniqueValues)

  Specified by:
    `setNrOfUniqueValues` in interface `ColumnStatistics1`

### getNrOfMissingValuesI

    public java.lang.Integer getNrOfMissingValuesI()

  Specified by:
    `getNrOfMissingValuesI` in interface `ColumnStatistics1`

### setNrOfMissingValues

    public void setNrOfMissingValues(java.lang.Integer nrOfMissingValues)

  Specified by:
    `setNrOfMissingValues` in interface `ColumnStatistics1`

### getMinimum

    public java.lang.String getMinimum()

  Specified by:
    `getMinimum` in interface `ColumnStatistics1`

### setMinimum

    public void setMinimum(java.lang.String minimum)

  Specified by:
    `setMinimum` in interface `ColumnStatistics1`

### getMaximum

    public java.lang.String getMaximum()

  Specified by:
    `getMaximum` in interface `ColumnStatistics1`

### setMaximum

    public void setMaximum(java.lang.String maximum)

  Specified by:
    `setMaximum` in interface `ColumnStatistics1`

### getAverageD

    public java.lang.Double getAverageD()

  Specified by:
    `getAverageD` in interface `ColumnStatistics1`

### setAverage

    public void setAverage(java.lang.Double average)

  Specified by:
    `setAverage` in interface `ColumnStatistics1`

### getStandardDeviationD

    public java.lang.Double getStandardDeviationD()

  Specified by:
    `getStandardDeviationD` in interface `ColumnStatistics1`

### setStandardDeviation

    public void setStandardDeviation(java.lang.Double standardDeviation)

  Specified by:
    `setStandardDeviation` in interface `ColumnStatistics1`

### getVarianceD

    public java.lang.Double getVarianceD()

  Specified by:
    `getVarianceD` in interface `ColumnStatistics1`

### setVariance

    public void setVariance(java.lang.Double variance)

  Specified by:
    `setVariance` in interface `ColumnStatistics1`

### getMedian

    public java.lang.String getMedian()

  Specified by:
    `getMedian` in interface `ColumnStatistics1`

### setMedian

    public void setMedian(java.lang.String median)

  Specified by:
    `setMedian` in interface `ColumnStatistics1`

### getModal

    public java.lang.String getModal()

  Specified by:
    `getModal` in interface `ColumnStatistics1`

### setModal

    public void setModal(java.lang.String modal)

  Specified by:
    `setModal` in interface `ColumnStatistics1`

### getTheColumn

    public Column getTheColumn()

  Specified by:
    `getTheColumn` in interface `ColumnStatistics1`

### setTheColumn

    public void setTheColumn(Column column)
                      throws M4Exception

  Specified by:
    `setTheColumn` in interface `ColumnStatistics1`
  Throws:
    `M4Exception`

### primitiveSetColumn

    public void primitiveSetColumn(Column column)

### print

    public void print()

  Print the information about this column statistics.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`

### removeAllM4References

    public void removeAllM4References()
                               throws M4Exception

  Remove the Column reference of this statistic object.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005